{% if config.plugins['etd-menu-quicklinks'].enabled %}
    <div class="fixed z-[90002] md:z-[100003] {% if config.plugins['etd-menu-quicklinks'].position is same as ("left") %}left-0{% else %}right-0{% endif %} top-0 bottom-0 flex flex-col justify-center items-end">
        {% for link in config.plugins['etd-menu-quicklinks'].pages %}
            {% if link.redirect %}
                <a href="{{ link.link }}" class="flex flex-col items-center py-2 px-1 sm:px-4 my-1 w-full" style="background-color: {{ link.background }}">
                    <i class="{{ link.icon }} bg-white p-3 rounded-full img-circle-mask hidden sm:inline-flex" style="color:{{ link.background }}"></i>
                    <h2 class="mt-2 text-white uppercase font-bold tracking-wider font-serif text-sm sm:text-2xl" style="writing-mode:vertical-rl">{%if link.title %}{{ link.title }}{% else %}{{ page.find(link.link).title }}{% endif %}</h2>
                </a>
            {% else %}
                {% set item = page.find(link.link) %}
                <div x-data="{% if forms(item.header.form.name).message %} { open: true }{% else %}{ open: false }{% endif %}" class="w-full">
                    <button @click="open = !open" class="flex flex-col items-center py-2 px-1 sm:px-4 my-1" style="background-color: {{ link.background }}">
                        <i class="{{ link.icon }} bg-white p-3 rounded-full img-circle-mask hidden sm:inline-flex" style="color:{{ link.background }}"></i>
                        <h2 class="mt-2 text-white uppercase font-bold tracking-wider font-serif text-sm sm:text-2xl" style="writing-mode:vertical-rl">{%if link.title %}{{ link.title }}{% else %}{{ page.find(link.link).title }}{% endif %}</h2>
                    </button>
                    <div x-show="open"
                         x-transition:enter="transform transition ease-in-out duration-500"
                         x-transition:enter-start="translate-x-full md:translate-x-full"
                         x-transition:enter-end="translate-x-0 md:translate-x-0"
                         x-transition:leave="transform transition ease-in-out duration-500"
                         x-transition:leave-start="translate-x-0 md:translate-x-0"
                         x-transition:leave-end="translate-x-full md:translate-x-full"
                         class="absolute right-0 mr-8 sm:mr-12 md:mr-20 origin-top-right z-[100001] md:z-[100002] top-0 bottom-0 flex flex-col justify-center">
                        <div @click.away="open = false" class="flex flex-col justify-start bg-white w-[280px] sm:w-[500px] shadow-[0_10px_10px_0_rgba(0,0,0,0.3)] p-4 md:p-8">
                            <i class="{{ link.icon }} fa-2x text-white p-3 rounded-full img-circle-mask mb-4 w-12" style="background-color:{{ link.background }}"></i>
                            <h2 class="font-serif text-3xl tracking-wider mb-4 uppercase">{{ item.title|raw }}</h2>
                            <div class="text-sm mb-4">{{ item.content|raw }}</div>
                            {% if item.header.form %}
                                <div>
                                    {% include "forms/form.html.twig" with {form: forms(item.header.form.name)}%}
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>
{% endif %}